var express = require('express');
var router = express.Router();
var path = require("path")
var auth = require("../../modules/sub-auth")
var log = require("loguix")
var package = require('../../../package.json')
var uuid = require("uuid")


router.get('/', function(req, res, next) {

    if(auth.checkUser(req.cookies.token)) {

        res.redirect("/")
    } else {

        if(!auth.getSession(req.cookies.session)) {

            const session = uuid.v4().toString()
            auth.saveSession(session)
            res.cookie("session", session)
           
        }

        var error = ""
        var verInfo = "<p>Version : " + package.version + "</p>"

        if(req.query.error == "CANCEL_LOGIN") {

            error = "<p style='color:red; margin-bottom: 0.5vw !important;'>Une erreur est survenue lors de l'authentification !</p>"

        }

        if(req.query.error == "MIGRATE_ACCOUNT_ONLY") {

            error = "<p style='color:red; margin-bottom: 0.5vw !important;'>Uniquement les comptes migrés sont accéptés !</p>"

        }

        if(req.query.error == "NOT_IN_CLP") {

            error = "<p style='color:red; margin-bottom: 0.5vw !important;'>Que fais-tu là ? Seul les membres du CLP peuvent contrôler le Bot</p>"

        }

        if(req.query.error == "ACCOUNT_BANNED") {

            error = "<p style='color:red; margin-bottom: 0.5vw !important;'>Ton compte a été banni !</p>"

        }

    
        res.render("login", {login: error, version: verInfo})
    }
  
});

module.exports = router;